Imagick::quantizeImages
Imagick::queryFonts
Imagick
PHP Manual

# Imagick::queryFontMetrics

Returns an array representing the font metrics

### Description

array Imagick::queryFontMetrics ( ImagickDraw `$properties` , string `$text` [, bool `$multiline` ] )

Returns a multi-dimensional array representing the font metrics.

### Parameters

`properties`

  ImagickDraw object containing font properties

`text`

  The text

`multiline`

  Multiline parameter. If left empty it is autodetected

### Return Values

Returns a multi-dimensional array representing the font metrics.

### Errors/Exceptions

Throws ImagickException on error.

### Examples

Example #1 Using Imagick::queryFontMetrics:

Query the metrics for the text and dump the results on the screen.

`<?php
/* Create a new Imagick object */
$im = new Imagick();
/* Create an ImagickDraw object */
$draw = new ImagickDraw();
/* Set the font */
$draw->setFont('/path/to/font.ttf');
/* Dump the font metrics, autodetect multiline */
var_dump($im->queryFontMetrics($draw, "Hello World!"));
?>`